# _ExceptionInfo Struct Reference

`#include <exception.h>`

## Data Fields

ExceptionType | severity
int | error_number
char * | reason
char * | description
void * | exceptions
MagickBooleanType | relinquish
SemaphoreInfo * | semaphore
unsigned long | signature

## Field Documentation

ExceptionType _ExceptionInfo::severity

int _ExceptionInfo::error_number

char* _ExceptionInfo::reason

char * _ExceptionInfo::description

void* _ExceptionInfo::exceptions

MagickBooleanType _ExceptionInfo::relinquish

SemaphoreInfo* _ExceptionInfo::semaphore

unsigned long _ExceptionInfo::signature

The documentation for this struct was generated from the following file:

- exception.h